Skip to content

Creates a new giving process record that does not already exist.

Request

This method will auto-generate an ID and create a new giving process. If an ID is specified for the giving process, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The giving process that you would like to be saved.

acknowledgement_settingsobject(Acknowledgement Settings)required
allow_anonymous_giftsboolean(Allow Anonymous Gifts)

If true, anonymous gifts are allowed

allow_pledgesboolean(Allow Pledges)

Whether pledges are allowed in this process

allow_recurring_giftsboolean(Allow Recurring Gifts)

Whether recurring gifts are allowed in this process

allow_tribute_giftsboolean(Allow Tribute Gifts)

If set, donors are able to donor in honor of/in memory of

appeal_idstring(Appeal)

The appeal to which gifts given in this process should be associated

campaign_idstring(Campaign)

The campaign to which gifts given in this process should be associated

checkout_settingsobject(Checkout Settings)required
default_fund_idstring(Default Fund)required

The default fund that a gift should be allocated to when the user makes an non-targeted gift

donor_instructionsstring(Donor Instructions)

Instructions shown to donors on the giving form

enable_gift_receiptboolean(Enable Gift Receipt)

Enable confirmation email for submitted gift forms

enable_pledge_receiptboolean(Enable Pledge Receipt)

Enable confirmation email for submitted pledge forms

enable_premiumsboolean(Enable Premiums)

If set, premiums are automatically assigned with gifts

gift_receiptobject(Gift Receipt)required

The confirmation email for submitted gift forms

idstring(ID)^[\w|-]+$required

The unique, string identifier of this application process

is_activeboolean(Is Active)

Whether or not this process is active

namestring(Name)required

The name of the application process

new_donor_contact_optionsobject(New Donor Contact Options)

The fields that should show for new contacts being created in the portal during the contribution process

override_checkout_settingsboolean(Override Checkout Settings)

Whether or not to override POC settings

pledge_installment_plansArray of objects, non-emptyrequired
pledge_receiptobject(Pledge Receipt)required

The confirmation email for submitted pledge forms

pledges_generate_pro_forma_invoicesboolean(Pledges Generate Pro Forma Invoices)

If true, pledges will generate pro forma (not real) invoices

premium_rulesArray of objectsrequired
premium_shipping_method_idstring(Premium Shipping Method)required

The shipping method to use for premiums

recurring_gift_optionsobject(Recurring Gift Options)required
require_acknowledgementboolean(Require Acknowledgement)

If set, donors must acknowledge a checkbox before proceeding

show_campaign_progressboolean(Show Campaign Progress)

If set, then the campaign in use for the giving form will show progress at the time of giving

suggest_giving_amountsboolean(Suggest Giving Amounts)

If true, giving amounts are suggested; otherwise, the donor is free to enter their own

suggested_gift_amountnumber, (float)(Suggested Gift Amount)

The suggested amount of given, set by default

suggested_giving_amountsArray of numbers, [ 1 .. 10 ] items(Suggested Giving Amounts)required
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

targeted_givingstring(Targeted Giving)required

Whether targeted giving is enabled for this process

Enum:"disabled""specify multiple funds""specify single fund"
targeted_giving_optionsobject(Targeted Giving Options)
tribute_gift_optionsobject(Tribute Gift Options)required
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/givingProcesses/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "acknowledgement_settings": {
      "checkbox_text": "string",
      "html": "string"
    },
    "allow_anonymous_gifts": true,
    "allow_pledges": true,
    "allow_recurring_gifts": true,
    "allow_tribute_gifts": true,
    "appeal_id": "string",
    "campaign_id": "string",
    "checkout_settings": {
      "allow_customer_to_choose_installment_plan": true,
      "bank_account_id": "string",
      "bill_my_organization_options": {
        "billing_address": "do not show",
        "purchase_order_number": "do not show",
        "reference_number": "string"
      },
      "bill_my_parent_organization_options": {
        "billing_address": "do not show",
        "purchase_order_number": "do not show",
        "reference_number": "string"
      },
      "business_unit_id": "string",
      "cancellation_fee_product_id": "string",
      "checkout_donation_options": {
        "simple_checkout_donation_options": {
          "allow_user_to_specify_custom_amount": true,
          "donation_ask_text": "string",
          "donation_denominations": [
            0.1
          ],
          "donation_information": "string",
          "donation_product_id": "string",
          "override_donation_denominations": true,
          "suggested_donation": 0.1
        },
        "type": "simple"
      },
      "credit_card_minimum_range_end": 0.1,
      "credit_card_minimum_range_start": 0.1,
      "credit_card_mode": "disabled",
      "credit_card_processing_fee_mode": "charge",
      "credit_card_processing_fee_options": {
        "fee_percentage": 0.1,
        "maximum_fee": 0.1,
        "minimum_fee": 0.1,
        "product_id": "string",
        "prompt_sub_text": "string",
        "prompt_text": "string"
      },
      "disable_electronic_payment_vaulting": true,
      "enable_bill_my_organization": true,
      "enable_bill_my_parent_organization": true,
      "enable_donations_at_checkout": true,
      "enable_electronic_checks": true,
      "enable_pay_later": true,
      "enable_payroll_deduction": true,
      "enable_split_payments": true,
      "installment_plan_options": [
        {
          "additional_cost": 0.1,
          "installment_plan_id": "string",
          "is_default": true
        }
      ],
      "invoice_payment_terms_id": "string",
      "invoice_template_id": "string",
      "merchant_account_id": "string",
      "pay_later_options": {
        "billing_address": "do not show",
        "purchase_order_number": "do not show",
        "reference_number": "string"
      },
      "restocking_fee_product_id": "string",
      "special_instructions": "string",
      "use_pro_forma_invoices": true
    },
    "default_fund_id": "string",
    "donor_instructions": "string",
    "enable_gift_receipt": true,
    "enable_pledge_receipt": true,
    "enable_premiums": true,
    "gift_receipt": {
      "bcc": "string",
      "body": "string",
      "cc": "string",
      "from": "string",
      "from_name": "string",
      "reply_to": "string",
      "subject": "string"
    },
    "id": "string",
    "is_active": true,
    "name": "string",
    "new_donor_contact_options": {},
    "override_checkout_settings": true,
    "pledge_installment_plans": [
      {
        "installment_plan_id": "string",
        "name": "string"
      }
    ],
    "pledge_receipt": {
      "bcc": "string",
      "body": "string",
      "cc": "string",
      "from": "string",
      "from_name": "string",
      "reply_to": "string",
      "subject": "string"
    },
    "pledges_generate_pro_forma_invoices": true,
    "premium_rules": [
      {
        "gift_amount_range_end": 0.1,
        "gift_amount_range_start": 0.1,
        "premium_id": "string"
      }
    ],
    "premium_shipping_method_id": "string",
    "recurring_gift_options": {
      "allow_donor_to_specify_end_date": true,
      "enable_annually": true,
      "enable_monthly": true,
      "enable_quarterly": true
    },
    "require_acknowledgement": true,
    "show_campaign_progress": true,
    "suggest_giving_amounts": true,
    "suggested_gift_amount": 0.1,
    "suggested_giving_amounts": [
      1
    ],
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "targeted_giving": "disabled",
    "targeted_giving_options": {
      "restrict_to_fund_categories": true,
      "restrict_to_fund_types": true,
      "restrict_to_funds": true,
      "restricted_fund_category_ids": [
        "string"
      ],
      "restricted_fund_ids": [
        "string"
      ],
      "restricted_fund_types": [
        "restricted funds"
      ]
    },
    "tribute_gift_options": {
      "email_notification": {
        "bcc": "string",
        "body": "string",
        "cc": "string",
        "from": "string",
        "from_name": "string",
        "reply_to": "string",
        "subject": "string"
      },
      "honoree_notification": "disabled"
    }
  }'

Responses

The giving process was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
acknowledgement_settingsobject(Acknowledgement Settings)required
allow_anonymous_giftsboolean(Allow Anonymous Gifts)

If true, anonymous gifts are allowed

allow_pledgesboolean(Allow Pledges)

Whether pledges are allowed in this process

allow_recurring_giftsboolean(Allow Recurring Gifts)

Whether recurring gifts are allowed in this process

allow_tribute_giftsboolean(Allow Tribute Gifts)

If set, donors are able to donor in honor of/in memory of

appeal_idstring(Appeal)

The appeal to which gifts given in this process should be associated

campaign_idstring(Campaign)

The campaign to which gifts given in this process should be associated

checkout_settingsobject(Checkout Settings)required
default_fund_idstring(Default Fund)required

The default fund that a gift should be allocated to when the user makes an non-targeted gift

donor_instructionsstring(Donor Instructions)

Instructions shown to donors on the giving form

enable_gift_receiptboolean(Enable Gift Receipt)

Enable confirmation email for submitted gift forms

enable_pledge_receiptboolean(Enable Pledge Receipt)

Enable confirmation email for submitted pledge forms

enable_premiumsboolean(Enable Premiums)

If set, premiums are automatically assigned with gifts

gift_receiptobject(Gift Receipt)required

The confirmation email for submitted gift forms

idstring(ID)^[\w|-]+$required

The unique, string identifier of this application process

is_activeboolean(Is Active)

Whether or not this process is active

namestring(Name)required

The name of the application process

new_donor_contact_optionsobject(New Donor Contact Options)

The fields that should show for new contacts being created in the portal during the contribution process

override_checkout_settingsboolean(Override Checkout Settings)

Whether or not to override POC settings

pledge_installment_plansArray of objects, non-emptyrequired
pledge_receiptobject(Pledge Receipt)required

The confirmation email for submitted pledge forms

pledges_generate_pro_forma_invoicesboolean(Pledges Generate Pro Forma Invoices)

If true, pledges will generate pro forma (not real) invoices

premium_rulesArray of objectsrequired
premium_shipping_method_idstring(Premium Shipping Method)required

The shipping method to use for premiums

recurring_gift_optionsobject(Recurring Gift Options)required
require_acknowledgementboolean(Require Acknowledgement)

If set, donors must acknowledge a checkbox before proceeding

show_campaign_progressboolean(Show Campaign Progress)

If set, then the campaign in use for the giving form will show progress at the time of giving

suggest_giving_amountsboolean(Suggest Giving Amounts)

If true, giving amounts are suggested; otherwise, the donor is free to enter their own

suggested_gift_amountnumber, (float)(Suggested Gift Amount)

The suggested amount of given, set by default

suggested_giving_amountsArray of numbers, [ 1 .. 10 ] items(Suggested Giving Amounts)required
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

targeted_givingstring(Targeted Giving)required

Whether targeted giving is enabled for this process

Enum:"disabled""specify multiple funds""specify single fund"
targeted_giving_optionsobject(Targeted Giving Options)
tribute_gift_optionsobject(Tribute Gift Options)required
Response
{ "acknowledgement_settings": { "checkbox_text": "string", "html": "string" }, "allow_anonymous_gifts": true, "allow_pledges": true, "allow_recurring_gifts": true, "allow_tribute_gifts": true, "appeal_id": "string", "campaign_id": "string", "checkout_settings": { "allow_customer_to_choose_installment_plan": true, "bank_account_id": "string", "bill_my_organization_options": { … }, "bill_my_parent_organization_options": { … }, "business_unit_id": "string", "cancellation_fee_product_id": "string", "checkout_donation_options": { … }, "credit_card_minimum_range_end": 0.1, "credit_card_minimum_range_start": 0.1, "credit_card_mode": "disabled", "credit_card_processing_fee_mode": "charge", "credit_card_processing_fee_options": { … }, "disable_electronic_payment_vaulting": true, "enable_bill_my_organization": true, "enable_bill_my_parent_organization": true, "enable_donations_at_checkout": true, "enable_electronic_checks": true, "enable_pay_later": true, "enable_payroll_deduction": true, "enable_split_payments": true, "installment_plan_options": [ … ], "invoice_payment_terms_id": "string", "invoice_template_id": "string", "merchant_account_id": "string", "pay_later_options": { … }, "restocking_fee_product_id": "string", "special_instructions": "string", "use_pro_forma_invoices": true }, "default_fund_id": "string", "donor_instructions": "string", "enable_gift_receipt": true, "enable_pledge_receipt": true, "enable_premiums": true, "gift_receipt": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "id": "string", "is_active": true, "name": "string", "new_donor_contact_options": {}, "override_checkout_settings": true, "pledge_installment_plans": [ { … } ], "pledge_receipt": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "pledges_generate_pro_forma_invoices": true, "premium_rules": [ { … } ], "premium_shipping_method_id": "string", "recurring_gift_options": { "allow_donor_to_specify_end_date": true, "enable_annually": true, "enable_monthly": true, "enable_quarterly": true }, "require_acknowledgement": true, "show_campaign_progress": true, "suggest_giving_amounts": true, "suggested_gift_amount": 0.1, "suggested_giving_amounts": [ 1 ], "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "targeted_giving": "disabled", "targeted_giving_options": { "restrict_to_fund_categories": true, "restrict_to_fund_types": true, "restrict_to_funds": true, "restricted_fund_category_ids": [ … ], "restricted_fund_ids": [ … ], "restricted_fund_types": [ … ] }, "tribute_gift_options": { "email_notification": { … }, "honoree_notification": "disabled" } }